Subject: Re: bug#39067: shell-command-dont-erase-buffer strange behaviour

From: Tino Calancha <[email-masked]>
Date: Mon, 20 Jan 2020 14:20:03 +0100 (CET)

On Mon, 20 Jan 2020, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Sun, 19 Jan 2020 21:55:35 +0100 (CET)
>> Cc: [email-masked], [email-masked], [email-masked]
>>
>>> Loading /usr/share/emacs/site-lisp/site-start.d/systemtap-init.el (source)...
>>> ../../../../../../usr/share/emacs/site-lisp/site-start.el: (lambda (dir) ...) quoted with ' rather than with #'
>>> foo
>>> ")
>> It's loading site-lisp stuff; I guess if I pass flag -Q
>> (as in test simple-tests-async-shell-command-30280) then those elips files
>> won't be loaded.
>> I will push that tweak.
>
> Aren't tests run with -batch?  That implies -Q as well, so I'm not
> sure I even understand why those files are loaded.

In that case, we have out-ot-date the message at `emacs --help'

It says, --batch => -q

-q == no-init-file

-Q <=> -q && --no-site-file && --no-site-lisp && --no-splash && 
--no-x-resource